
electronique_indic_niv_liquide_004_12f675_Main_Init:

;electronique_indic_niv_liquide_004_12f675.mpas,14 :: 		begin
;electronique_indic_niv_liquide_004_12f675.mpas,15 :: 		CMCON := %00000111;   // comparators OFF
	MOVLW      7
	MOVWF      CMCON+0
;electronique_indic_niv_liquide_004_12f675.mpas,16 :: 		ANSEL := 0;     // all ports as digital I/O
	CLRF       ANSEL+0
;electronique_indic_niv_liquide_004_12f675.mpas,17 :: 		TRISIO.0 := 0;  // clock output
	BCF        TRISIO+0, 0
;electronique_indic_niv_liquide_004_12f675.mpas,18 :: 		TRISIO.1 := 1;  // detector #1 input
	BSF        TRISIO+0, 1
;electronique_indic_niv_liquide_004_12f675.mpas,19 :: 		TRISIO.2 := 1;  // detector #2 input
	BSF        TRISIO+0, 2
;electronique_indic_niv_liquide_004_12f675.mpas,20 :: 		TRISIO.3 := 1;  // always input, not used here
	BSF        TRISIO+0, 3
;electronique_indic_niv_liquide_004_12f675.mpas,21 :: 		TRISIO.4 := 0;  // Led #1 display output
	BCF        TRISIO+0, 4
;electronique_indic_niv_liquide_004_12f675.mpas,22 :: 		TRISIO.5 := 0;  // Led #2 display output
	BCF        TRISIO+0, 5
;electronique_indic_niv_liquide_004_12f675.mpas,23 :: 		OPTION_REG.NOT_GPPU := 1;     // disable pullup
	BSF        OPTION_REG+0, 7
;electronique_indic_niv_liquide_004_12f675.mpas,25 :: 		OPTION_REG.T0CS := 0;
	BCF        OPTION_REG+0, 5
;electronique_indic_niv_liquide_004_12f675.mpas,26 :: 		OPTION_REG.PS0 := 0;
	BCF        OPTION_REG+0, 0
;electronique_indic_niv_liquide_004_12f675.mpas,27 :: 		OPTION_REG.PS1 := 0;
	BCF        OPTION_REG+0, 1
;electronique_indic_niv_liquide_004_12f675.mpas,28 :: 		OPTION_REG.PS2 := 0;
	BCF        OPTION_REG+0, 2
;electronique_indic_niv_liquide_004_12f675.mpas,30 :: 		INTCON.GIE := 1;
	BSF        INTCON+0, 7
;electronique_indic_niv_liquide_004_12f675.mpas,31 :: 		INTCON.PEIE := 1;
	BSF        INTCON+0, 6
;electronique_indic_niv_liquide_004_12f675.mpas,32 :: 		INTCON.T0IE := 1;
	BSF        INTCON+0, 5
;electronique_indic_niv_liquide_004_12f675.mpas,33 :: 		INTCON.INTE := 0;
	BCF        INTCON+0, 4
;electronique_indic_niv_liquide_004_12f675.mpas,34 :: 		INTCON.GPIE := 0;
	BCF        INTCON+0, 3
;electronique_indic_niv_liquide_004_12f675.mpas,35 :: 		PIE1.TMR1IE := 1;
	BSF        PIE1+0, 0
;electronique_indic_niv_liquide_004_12f675.mpas,36 :: 		IOC := 0;
	CLRF       IOC+0
;electronique_indic_niv_liquide_004_12f675.mpas,37 :: 		T1CON.TMR1ON := 1;
	BSF        T1CON+0, 0
;electronique_indic_niv_liquide_004_12f675.mpas,38 :: 		T1CON.T1OSCEN := 0;
	BCF        T1CON+0, 3
;electronique_indic_niv_liquide_004_12f675.mpas,40 :: 		T1CON.TMR1CS := 0;
	BCF        T1CON+0, 1
;electronique_indic_niv_liquide_004_12f675.mpas,42 :: 		OutLed1 := 0;
	BCF        GPIO+0, 4
;electronique_indic_niv_liquide_004_12f675.mpas,43 :: 		OutLed2 := 0;
	BCF        GPIO+0, 5
;electronique_indic_niv_liquide_004_12f675.mpas,45 :: 		end;
	RETURN
; end of electronique_indic_niv_liquide_004_12f675_Main_Init

electronique_indic_niv_liquide_004_12f675_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_indic_niv_liquide_004_12f675.mpas,48 :: 		begin
;electronique_indic_niv_liquide_004_12f675.mpas,49 :: 		if INTCON.T0IF = 1 then
	BTFSS      INTCON+0, 2
	GOTO       L_electronique_indic_niv_liquide_004_12f675_Interrupt3
;electronique_indic_niv_liquide_004_12f675.mpas,51 :: 		OutClock := OutClock xor 1;  // clock out
	MOVLW      1
	XORWF      GPIO+0, 1
;electronique_indic_niv_liquide_004_12f675.mpas,52 :: 		INTCON.T0IF := 0;
	BCF        INTCON+0, 2
;electronique_indic_niv_liquide_004_12f675.mpas,53 :: 		end;
L_electronique_indic_niv_liquide_004_12f675_Interrupt3:
;electronique_indic_niv_liquide_004_12f675.mpas,54 :: 		if PIR1.TMR1IF = 1 then
	BTFSS      PIR1+0, 0
	GOTO       L_electronique_indic_niv_liquide_004_12f675_Interrupt6
;electronique_indic_niv_liquide_004_12f675.mpas,56 :: 		bBlink := (not bBlink);
	COMF       _bBlink+0, 1
;electronique_indic_niv_liquide_004_12f675.mpas,57 :: 		PIR1.TMR1IF := 0;
	BCF        PIR1+0, 0
;electronique_indic_niv_liquide_004_12f675.mpas,58 :: 		end;
L_electronique_indic_niv_liquide_004_12f675_Interrupt6:
;electronique_indic_niv_liquide_004_12f675.mpas,59 :: 		end;
L_electronique_indic_niv_liquide_004_12f675_Interrupt32:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of electronique_indic_niv_liquide_004_12f675_Interrupt

_main:

;electronique_indic_niv_liquide_004_12f675.mpas,61 :: 		begin
;electronique_indic_niv_liquide_004_12f675.mpas,62 :: 		Main_Init;
	CALL       electronique_indic_niv_liquide_004_12f675_Main_Init+0
;electronique_indic_niv_liquide_004_12f675.mpas,63 :: 		Delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L__main9:
	DECFSZ     R13+0, 1
	GOTO       L__main9
	DECFSZ     R12+0, 1
	GOTO       L__main9
	NOP
	NOP
;electronique_indic_niv_liquide_004_12f675.mpas,64 :: 		while true do
L__main11:
;electronique_indic_niv_liquide_004_12f675.mpas,71 :: 		if ((InDetect1 = 0) and (InDetect2 = 0)) then
	BTFSC      GPIO+0, 1
	GOTO       L__main33
	BSF        82, 0
	GOTO       L__main34
L__main33:
	BCF        82, 0
L__main34:
	CLRF       R1+0
	BTFSC      GPIO+0, 2
	GOTO       L__main18
	MOVLW      255
	MOVWF      R1+0
L__main18:
	CLRF       R0+0
	BTFSC      82, 0
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main16
;electronique_indic_niv_liquide_004_12f675.mpas,73 :: 		OutLed1 := bBlink;
	BTFSC      _bBlink+0, 0
	GOTO       L__main35
	BCF        GPIO+0, 4
	GOTO       L__main36
L__main35:
	BSF        GPIO+0, 4
L__main36:
;electronique_indic_niv_liquide_004_12f675.mpas,74 :: 		OutLed2 := 0;
	BCF        GPIO+0, 5
;electronique_indic_niv_liquide_004_12f675.mpas,75 :: 		end
	GOTO       L__main17
;electronique_indic_niv_liquide_004_12f675.mpas,76 :: 		else if ((InDetect1 = 1) and (InDetect2 = 0)) then
L__main16:
	BTFSC      GPIO+0, 1
	GOTO       L__main37
	BCF        82, 0
	GOTO       L__main38
L__main37:
	BSF        82, 0
L__main38:
	CLRF       R1+0
	BTFSC      GPIO+0, 2
	GOTO       L__main22
	MOVLW      255
	MOVWF      R1+0
L__main22:
	CLRF       R0+0
	BTFSC      82, 0
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main20
;electronique_indic_niv_liquide_004_12f675.mpas,78 :: 		OutLed1 := 1;
	BSF        GPIO+0, 4
;electronique_indic_niv_liquide_004_12f675.mpas,79 :: 		OutLed2 := 0;
	BCF        GPIO+0, 5
;electronique_indic_niv_liquide_004_12f675.mpas,80 :: 		end
	GOTO       L__main21
;electronique_indic_niv_liquide_004_12f675.mpas,81 :: 		else if ((InDetect1 = 0) and (InDetect2 = 1)) then
L__main20:
	BTFSC      GPIO+0, 1
	GOTO       L__main39
	BSF        82, 0
	GOTO       L__main40
L__main39:
	BCF        82, 0
L__main40:
	CLRF       R1+0
	BTFSS      GPIO+0, 2
	GOTO       L__main26
	MOVLW      255
	MOVWF      R1+0
L__main26:
	CLRF       R0+0
	BTFSC      82, 0
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main24
;electronique_indic_niv_liquide_004_12f675.mpas,83 :: 		OutLed1 := 0;
	BCF        GPIO+0, 4
;electronique_indic_niv_liquide_004_12f675.mpas,84 :: 		OutLed2 := bBlink;
	BTFSC      _bBlink+0, 0
	GOTO       L__main41
	BCF        GPIO+0, 5
	GOTO       L__main42
L__main41:
	BSF        GPIO+0, 5
L__main42:
;electronique_indic_niv_liquide_004_12f675.mpas,85 :: 		end
	GOTO       L__main25
;electronique_indic_niv_liquide_004_12f675.mpas,86 :: 		else if ((InDetect1 = 1) and (InDetect2 = 1)) then
L__main24:
	BTFSC      GPIO+0, 1
	GOTO       L__main43
	BCF        82, 0
	GOTO       L__main44
L__main43:
	BSF        82, 0
L__main44:
	CLRF       R1+0
	BTFSS      GPIO+0, 2
	GOTO       L__main30
	MOVLW      255
	MOVWF      R1+0
L__main30:
	CLRF       R0+0
	BTFSC      82, 0
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main28
;electronique_indic_niv_liquide_004_12f675.mpas,88 :: 		OutLed1 := 1;
	BSF        GPIO+0, 4
;electronique_indic_niv_liquide_004_12f675.mpas,89 :: 		OutLed2 := 1;
	BSF        GPIO+0, 5
;electronique_indic_niv_liquide_004_12f675.mpas,90 :: 		end;
L__main28:
L__main25:
L__main21:
L__main17:
;electronique_indic_niv_liquide_004_12f675.mpas,91 :: 		Delay_ms(20);
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L__main31:
	DECFSZ     R13+0, 1
	GOTO       L__main31
	DECFSZ     R12+0, 1
	GOTO       L__main31
	NOP
;electronique_indic_niv_liquide_004_12f675.mpas,92 :: 		end;
	GOTO       L__main11
;electronique_indic_niv_liquide_004_12f675.mpas,93 :: 		end.
	GOTO       $+0
; end of _main
